### Function

# Atspi EventListener register_from_callback_full

#### Declaration [src]

    gboolean
    atspi_event_listener_register_from_callback_full (
      AtspiEventListenerCB callback,
      void* user_data,
      GDestroyNotify callback_destroyed,
      const gchar* event_type,
      GArray* properties,
      GError** error
    )

#### Description

No description available.

#### Parameters

`callback`

  Type: `AtspiEventListenerCB`

  An `AtspiEventListenerCB` function pointer.

`user_data`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback_destroyed`

  Type: `GDestroyNotify`

  No description available.

`event_type`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`properties`

  Type: An array of `utf8`

  No description available.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, otherwise `FALSE`.